# Method CompilerEnvironment()->PikeCompiler()->get_default_module()

Method get_default_module

  `mapping(string:mixed)|object get_default_module()`

Description

  Get the default module for the current compatibility level (ie typically the value returned by all_constants()).

  The default implementation calls the corresponding function in the current handler, the current compatibility handler or in the parent CompilerEnvironment in that order.

Returns

  `mapping(string:mixed)|object` | Constant table to use.
  `int(0..0)` | Use the builtin constant table.

Note

  This function is called by change_compiler_compatibility().